CdsHelper Class Referenceabstract

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for CdsHelper:
[legend]

## Public Member Functions

CdsHelper (const Handle< Quote > &quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), bool rebatesAccrual=true, CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)

CdsHelper (Rate quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), bool rebatesAccrual=true, CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)

void | setTermStructure (DefaultProbabilityTermStructure *)
ext::shared_ptr< CreditDefaultSwap > | swap () const
void | update ()
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
virtual Real | impliedQuote () const =0
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

void | initializeDates ()
virtual void | resetEngine ()=0
Protected Member Functions inherited from RelativeDateBootstrapHelper< TS >

## Protected Attributes

Period | tenor_
Integer | settlementDays_
Calendar | calendar_
Frequency | frequency_
BusinessDayConvention | paymentConvention_
DateGeneration::Rule | rule_
DayCounter | dayCounter_
Real | recoveryRate_
Handle< YieldTermStructure > | discountCurve_
bool | settlesAccrual_
bool | paysAtDefaultTime_
DayCounter | lastPeriodDC_
bool | rebatesAccrual_
CreditDefaultSwap::PricingModel | model_
Schedule | schedule_
ext::shared_ptr< CreditDefaultSwap > | swap_
RelinkableHandle< DefaultProbabilityTermStructure > | probability_
Date | protectionStart_
| protection effective date.
Date | startDate_
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Base default-probability bootstrap helper

Parameters

  tenor | CDS tenor.
  frequency | Coupon frequency.
  settlementDays | The number of days from today's date to the start of the protection period. Does not refer to initial cash settlements (upfront and/or rebates) which are typically on T+3
  paymentConvention | The payment convention applied to coupons schedules, settlement dates and protection period calculations.

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from RelativeDateBootstrapHelper< TS >.